Skip to main content
PATCH
/
v1
/
lifecycle
/
webhooks
/
{id}
Update a lifecycle webhook
import requests

url = "https://api.13-215-85-171.sslip.io/v1/lifecycle/webhooks/{id}"

payload = {
    "url": "<string>",
    "operations": [],
    "signing_secret": "<string>",
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "operations": [],
  "enabled": true,
  "has_signing_secret": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_delivery_at": "2023-11-07T05:31:56Z",
  "last_error": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Lifecycle webhook ID

Body

application/json
url
string<uri>

HTTPS destination URL for POST lifecycle deliveries.

operations
enum<string>[]
Minimum array length: 1
Available options:
create,
destroy,
timeout_updated,
timeout_expired,
hibernate,
snapshot_created,
resume_from_snapshot,
fork,
reconcile
signing_secret
string

Write-only replacement HMAC signing secret.

enabled
boolean

Response

Updated lifecycle webhook

id
string<uuid>
required
url
string<uri>
required
operations
enum<string>[]
required
Available options:
create,
destroy,
timeout_updated,
timeout_expired,
hibernate,
snapshot_created,
resume_from_snapshot,
fork,
reconcile
enabled
boolean
required
has_signing_secret
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
last_delivery_at
string<date-time>
last_delivery_status
enum<string>
Available options:
queued,
in_progress,
succeeded,
dead_letter
last_error
string